Update a Candidate

Update properties of an existing candidate . Returns the Candidate.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Include in the payload object only the properties that need to be updated.

{
    "updated_by": {
      "type": "user",
      "name": "Kelly Lee",
      "email": "[email protected]"
    },
    "phone": "+1-666-000-0000",
    "salary_expectations": "80k / Annual"
}
{  
  "uid": "00.AAA",
  "position_uid": "11.11",
  "source_contact": {  
    "full_name": "Michael Rosen",
    "email": "[email protected]",
    "phone": "555 555 1234"
  },
  "time_created": "2018-01-01T12:50:50Z",
  "time_last_status_changed": "2018-01-01T12:50:50Z",
  "current_steps": [  
    {  
      "name": "Technical interview",
      "type": "In person Interview",
      "time_scheduled": "2018-01-01T12:50:50Z"
    }
  ],
  "completed_steps": [  
    {  
      "name": "CV Screen",
      "type": "Go/No-go",
      "time_scheduled": "2018-01-01T12:50:50Z",
      "time_completed": "2018-03-03T12:50:50Z"
    }
  ],
  "status": "In progress"
}
{  
  "status": 404,
  "error":"candidate_not_found",
  "message":"Candidate not found"
}
Body Params
updated_by
object
string

Unique ID of the candidate on the partner's system

string
string
string
string
string
string
string
string
string

Access to this field is restricted in Comeet (BETA)

string

One of the following: Sourced, Contacted, Responded, Interested, Not interested, Do not contact

resume
object
picture
object

Profile photo

files
array of objects
files
source_contact
object

Include the source contact if your app aggregates multiple sources. For example, use this object to include the details headhunter who submitted the candidate

address
object
string

Plain text, no formatting.

Language
Credentials
OAuth2
LoadingLoading…